Icons are too big

Bug #1522316 reported by Daniel Holbach on 2015-12-03
128
This bug affects 31 people
Affects Status Importance Assigned to Milestone
Nautilus
Incomplete
Medium
nautilus (Ubuntu)
High
Unassigned
ubuntu-settings (Ubuntu)
High
Unassigned

Bug Description

On xenial the icons in nautilus (also on the Desktop) are too big.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: nautilus 1:3.18.2-1ubuntu1
ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6
Uname: Linux 4.2.0-19-generic x86_64
ApportVersion: 2.19.2-0ubuntu8
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Dec 3 09:37:55 2015
GsettingsChanges:
 b'org.gnome.nautilus.list-view' b'default-visible-columns' b"['name', 'size', 'type', 'date_modified']"
 b'org.gnome.nautilus.list-view' b'default-column-order' b"['name', 'size', 'type', 'date_modified', 'owner', 'group', 'permissions', 'mime_type', 'where']"
InstallationDate: Installed on 2015-04-30 (216 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
SourcePackage: nautilus
SystemImageInfo: Error: command ['system-image-cli', '-i'] failed with exit code 2:
UpgradeStatus: No upgrade log present (probably fresh install)

Daniel Holbach (dholbach) wrote :
Sebastien Bacher (seb128) wrote :

Thanks, indeed they feel big, we should lower the zoom from on step at least

Changed in nautilus (Ubuntu):
importance: Undecided → High
status: New → Triaged
tags: added: rls-x-incoming
Changed in nautilus:
importance: Unknown → Medium
status: Unknown → Incomplete
Khurshid Alam (khurshid-alam) wrote :

@Sebastien You mean 48x48px? I would rather like to have 48px for standard and 32px for small zoom level as 48px is default since the beginning.

May be something like this:

Index: nautilus-3.18.2/libnautilus-private/nautilus-icon-info.h
===================================================================
--- nautilus-3.18.2.orig/libnautilus-private/nautilus-icon-info.h
+++ nautilus-3.18.2/libnautilus-private/nautilus-icon-info.h
@@ -35,9 +35,9 @@ typedef enum {
 #define NAUTILUS_LIST_ICON_SIZE_STANDARD 32
 #define NAUTILUS_LIST_ICON_SIZE_LARGE 48

-#define NAUTILUS_CANVAS_ICON_SIZE_SMALL 64
-#define NAUTILUS_CANVAS_ICON_SIZE_STANDARD 96
-#define NAUTILUS_CANVAS_ICON_SIZE_LARGE 128
+#define NAUTILUS_CANVAS_ICON_SIZE_SMALL 32
+#define NAUTILUS_CANVAS_ICON_SIZE_STANDARD 48
+#define NAUTILUS_CANVAS_ICON_SIZE_LARGE 96

Doug McMahon (mc3man) wrote :

May not be as simple as changing size values as the padding is currently screwed up as is. Could make that worse or solve, one would have to try..
screen shows current using small, some folders have names broken up, ex. .thunderbird, .macromedia, ect.

Sebastien Bacher (seb128) wrote :

@Doug, what issue do you want to show with your screenshot? the icons/padding/labels don't look buggy in an obvious way to me

Some file names are displayed oddly, ex.
.
thunderbird

.
launchpadli
b
On Dec 8, 2015 2:50 AM, "Sebastien Bacher" <email address hidden> wrote:

> @Doug, what issue do you want to show with your screenshot? the
> icons/padding/labels don't look buggy in an obvious way to me
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1523015).
> https://bugs.launchpad.net/bugs/1522316
>
> Title:
> Icons are too big
>
> Status in Nautilus:
> Incomplete
> Status in nautilus package in Ubuntu:
> Triaged
>
> Bug description:
> On xenial the icons in nautilus (also on the Desktop) are too big.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: nautilus 1:3.18.2-1ubuntu1
> ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6
> Uname: Linux 4.2.0-19-generic x86_64
> ApportVersion: 2.19.2-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Thu Dec 3 09:37:55 2015
> GsettingsChanges:
> b'org.gnome.nautilus.list-view' b'default-visible-columns' b"['name',
> 'size', 'type', 'date_modified']"
> b'org.gnome.nautilus.list-view' b'default-column-order' b"['name',
> 'size', 'type', 'date_modified', 'owner', 'group', 'permissions',
> 'mime_type', 'where']"
> InstallationDate: Installed on 2015-04-30 (216 days ago)
> InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
> SourcePackage: nautilus
> SystemImageInfo: Error: command ['system-image-cli', '-i'] failed with
> exit code 2:
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nautilus/+bug/1522316/+subscriptions
>

Sebastien Bacher (seb128) wrote :

right, I noticed those, unsure if that was sometime the case before as well though, also it's an issue with the text wrapping, not so much with the padding or layout no?

Khurshid Alam (khurshid-alam) wrote :

Oh right...about padding...I forgot ( I am not getting any notifications for these comments?)

The grid width was changed from 155 to 80. We can restore that if we want it.

Here is the patch for it:

Index: nautilus-3.18.2/libnautilus-private/nautilus-canvas-container.c
===================================================================
--- nautilus-3.18.2.orig/libnautilus-private/nautilus-canvas-container.c
+++ nautilus-3.18.2/libnautilus-private/nautilus-canvas-container.c
@@ -98,7 +98,7 @@
  * where a 76px canvas item would only take one.
  * Canvas items are then centered in the extra available space.
  */
-#define STANDARD_ICON_GRID_WIDTH 80
+#define STANDARD_ICON_GRID_WIDTH 155

It will look like this: http://i.imgur.com/ihpLNPE.png

However for some reason these doesn't change the thumbnail size that nautilus generates. It was bigger than before. I guess thumbnail sizes are defined somewhere else.

Sebastien Bacher (seb128) wrote :

right, I tried changing the grid as well but that looks like too much spacing and isn't really great either :-/

Khurshid Alam (khurshid-alam) wrote :

The grid width was 155 in 3.14 and before that. These are derived after careful inspection and related to other things. So if we change it, other related variables also need to be changed in equal proportion.

Sebastien Bacher (seb128) wrote :

Right, if somebody want to look at tweaking those variables to find a configuration that works correctly that would be great. If nobody is able to work on that we might just keep the current steps (upstream is right that it gets as much content on screen, bigger icons and less spacing) and change the default to the smallest one

Changed in ubuntu-settings (Ubuntu):
importance: Undecided → High
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-settings - 15.10.5

---------------
ubuntu-settings (15.10.5) xenial; urgency=medium

  * debian/ubuntu-settings.override:
    - change default nautilus icon-view zoom level to small
      (lp: #1522316)

 -- Sebastien Bacher <email address hidden> Wed, 16 Dec 2015 11:06:47 +0100

Changed in ubuntu-settings (Ubuntu):
status: In Progress → Fix Released
Barry Drake (b-drake) wrote :

I've just spent a really frustrating half hour on the Bugzilla bug reporting site. I had reported this bug upstream after reporting it here. I can't get on and do anything. My login details were not accepted. I changed the password, and then tried to log in. The new password was invalid. Maybe I'll try again. In addition a search on that site does not seem to find Nautilus at all. I did find it originally, but can't remember how.

My second bug that was reported on my original report was " there is now no 'delete' option in addition to the 'move to recycling' option". My original bug report with the title 'Huge icons in Nautilus ..... seems to have been removed rather than named as a duplicate, so I can no longer reference it. Please can someone include that bug in the Nautilus list.

Silvio Bierman (sbierman) wrote :

What is the status of this bug? The current 16.04 still has huge desktop icons and no way to make them smaller. The Nautilus icon size options are also way too limited. The smallest setting is too small and both larger settings are too big for list mode.

Reducing the options to three sizes is a big mistake IMHO. Where we used to have slowly increasing resolutions on computer screens the high res screens today are twice the resolution of main stream screens. If anything we need more options than before. Unity allows pixel sizes for the launcher icons and Nautilus chooses to dumb down.

Together with the unfortunate choice of making Nautilus another horrible CSD window desktop usability has taken a huge plunge in 16.04.

Khurshid Alam (khurshid-alam) wrote :

"NAUTILUS_CANVAS_ICON_SIZE_STANDARD 48" "STANDARD_ICON_GRID_WIDTH 155" makes it exactly same as 3.14 IMHO. Not sure why Sebastien thinks its too much spacious.

Doug McMahon (mc3man) wrote :

Not speaking for seb128 but it's not as simple as that 'change' by
itself. It would have lead to new issues, ect.
Anyway for the moment a moot point for 16.04, as far as the future this
is better addressed upstream.

On 02/05/2016 01:07 AM, Khurshid Alam wrote:
> "NAUTILUS_CANVAS_ICON_SIZE_STANDARD 48" "STANDARD_ICON_GRID_WIDTH 155"
> makes it exactly same as 3.14 IMHO. Not sure why Sebastien thinks its
> too much spacious.
>

Doug McMahon (mc3man) wrote :

However the fix-released for ubuntu-settings needs to be reverted
https://bugs.launchpad.net/ubuntu/+source/ubuntu-settings/+bug/1542347

Sebastien Bacher (seb128) wrote :

@Doug, thanks ;-) it's on my list, the week is just being busy...

dino99 (9d9) wrote :

My 2 cents,

first i'm not going to follow the 3.18.is.3.14 route, but going forward with the gnome3 ppa now that the desktop team have made that decision (only due to little cosmetic issues, that i does not care, and i'm not be alone)

then, when we first got that 3.18 serie, i've also got that icon/thumbnail size problem. But dconf-editor can be easily used to set the user wish size: ..../nautilus/icon-view/thumbnail-size which i've set to 64, and .../list-view/default-zoom-level to 'small'

so that it, i cant agree with such decision, nor reverting ubuntu-settings; this again will introduce a bigger delta with the way gnome is following.

Will Cooke (willcooke) on 2016-02-15
tags: removed: rls-x-incoming
Christopher (soft-kristal) wrote :

Still present in Yakkety. I know that the desktop and Nautilus icon sizes are interconnected, but I end up with tiny icons in Nautilus and oversized (but a bit smaller) icons on the desktop.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.